### Function

# Pango.parse_markup

#### Declaration [src]

    gboolean
    pango_parse_markup (
      const char* markup_text,
      int length,
      gunichar accel_marker,
      PangoAttrList** attr_list,
      char** text,
      gunichar* accel_char,
      GError** error
    )

#### Description [src]

Parses marked-up text to create a plain-text string and an attribute list.

See the Pango Markup docs for details about the supported markup.

If `accel_marker` is nonzero, the given character will mark the character following it as an accelerator. For example, `accel_marker` might be an ampersand or underscore. All characters marked as an accelerator will receive a `PANGO_UNDERLINE_LOW` attribute, and the first character so marked will be returned in `accel_char`. Two `accel_marker` characters following each other produce a single literal `accel_marker` character.

To parse a stream of pango markup incrementally, use `pango_markup_parser_new()`.

If any error happens, none of the output arguments are touched except for `error`.

#### Parameters

`markup_text` | `const char*`
| markup to parse (see the Pango Markup docs)
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`length` | `int`
| length of `markup_text`, or -1 if nul-terminated
`accel_marker` | `gunichar`
| character that precedes an accelerator, or 0 for none
`attr_list` | `PangoAttrList`
| address of return location for a `PangoAttrList`, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee
`text` | `char**`
| address of return location for text with tags stripped, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee
| The string is a NUL terminated UTF-8 string
`accel_char` | `gunichar*`
| address of return location for accelerator char, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: `gboolean`
`FALSE` if `error` is set, otherwise `TRUE`